#
# spec file for package writerperfect
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           writerperfect
Version:        0.9.4
Release:        3.5
Summary:        Tools for converting WordPerfect(tm) documents
License:        LGPL-2.1+ or MPL-2.0+
Group:          Productivity/Text/Convertors
Url:            http://libwpd.sf.net/
Source:         http://downloads.sourceforge.net/project/libwpd/%{name}/%{name}-%{version}/%{name}-%{version}.tar.xz
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.0.0
BuildRequires:  libgsf-devel >= 1.6.0
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRequires:  pkgconfig(libabw-0.1)
BuildRequires:  pkgconfig(libcdr-0.1)
BuildRequires:  pkgconfig(libe-book-0.1)
BuildRequires:  pkgconfig(libeot)
BuildRequires:  pkgconfig(libepubgen-0.0)
BuildRequires:  pkgconfig(libetonyek-0.1)
BuildRequires:  pkgconfig(libfreehand-0.1)
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libmspub-0.1)
BuildRequires:  pkgconfig(libmwaw-0.3)
BuildRequires:  pkgconfig(libodfgen-0.1)
BuildRequires:  pkgconfig(libpagemaker-0.0)
BuildRequires:  pkgconfig(librevenge-0.0) >= 0.0.1
BuildRequires:  pkgconfig(librevenge-stream-0.0)
BuildRequires:  pkgconfig(libvisio-0.1)
BuildRequires:  pkgconfig(libwpd-0.10)
BuildRequires:  pkgconfig(libwpg-0.3)
BuildRequires:  pkgconfig(libwps-0.4)
# Make upgrade smooth with no conflicting files
Provides:       abw2epub = %{version}-%{release}
Obsoletes:      abw2epub < %{version}-%{release}
Provides:       abw2odt = %{version}-%{release}
Obsoletes:      abw2odt < %{version}-%{release}
Provides:       cdr2epub = %{version}-%{release}
Obsoletes:      cdr2epub < %{version}-%{release}
Provides:       cdr2odg = %{version}-%{release}
Obsoletes:      cdr2odg < %{version}-%{release}
Provides:       cmx2epub = %{version}-%{release}
Obsoletes:      cmx2epub < %{version}-%{release}
Provides:       cmx2odg = %{version}-%{release}
Obsoletes:      cmx2odg < %{version}-%{release}
Provides:       ebook2epub = %{version}-%{release}
Obsoletes:      ebook2epub < %{version}-%{release}
Provides:       ebook2odt = %{version}-%{release}
Obsoletes:      ebook2odt < %{version}-%{release}
Provides:       fh2epub = %{version}-%{release}
Obsoletes:      fh2epub < %{version}-%{release}
Provides:       fh2odg = %{version}-%{release}
Obsoletes:      fh2odg < %{version}-%{release}
Provides:       key2epub = %{version}-%{release}
Obsoletes:      key2epub < %{version}-%{release}
Provides:       key2odp = %{version}-%{release}
Obsoletes:      key2odp < %{version}-%{release}
Provides:       mwaw2epub = %{version}-%{release}
Obsoletes:      mwaw2epub < %{version}-%{release}
Provides:       mwaw2odf = %{version}-%{release}
Obsoletes:      mwaw2odf < %{version}-%{release}
Provides:       numbers2ods = %{version}-%{release}
Obsoletes:      numbers2ods < %{version}-%{release}
Provides:       pages2epub = %{version}-%{release}
Obsoletes:      pages2epub < %{version}-%{release}
Provides:       pages2odt = %{version}-%{release}
Obsoletes:      pages2odt < %{version}-%{release}
Provides:       pmd2epub = %{version}-%{release}
Obsoletes:      pmd2epub < %{version}-%{release}
Provides:       pmd2odg = %{version}-%{release}
Obsoletes:      pmd2odg < %{version}-%{release}
Provides:       pub2epub = %{version}-%{release}
Obsoletes:      pub2epub < %{version}-%{release}
Provides:       pub2odg = %{version}-%{release}
Obsoletes:      pub2odg < %{version}-%{release}
Provides:       vsd2epub = %{version}-%{release}
Obsoletes:      vsd2epub < %{version}-%{release}
Provides:       vsd2odg = %{version}-%{release}
Obsoletes:      vsd2odg < %{version}-%{release}
Provides:       vss2epub = %{version}-%{release}
Obsoletes:      vss2epub < %{version}-%{release}
Provides:       vss2odg = %{version}-%{release}
Obsoletes:      vss2odg < %{version}-%{release}
Provides:       wks2ods = %{version}-%{release}
Obsoletes:      wks2ods < %{version}-%{release}
Provides:       wpd2epub = %{version}-%{release}
Obsoletes:      wpd2epub < %{version}-%{release}
Provides:       wpd2odt = %{version}-%{release}
Obsoletes:      wpd2odt < %{version}-%{release}
Provides:       wpg2epub = %{version}-%{release}
Obsoletes:      wpg2epub < %{version}-%{release}
Provides:       wpg2odg = %{version}-%{release}
Obsoletes:      wpg2odg < %{version}-%{release}
Provides:       wps2epub = %{version}-%{release}
Obsoletes:      wps2epub < %{version}-%{release}
Provides:       wps2odt = %{version}-%{release}
Obsoletes:      wps2odt < %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools for converting WordPerfect(tm) and other documents to various other
formats supported by the helper libraries that are also ie. used in
libreoffice.

%prep
%setup -q

%build
# libgsf is default off
%configure \
    --disable-werror \
    --with-libgsf \
    --disable-silent-rules
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%check
make check %{?_smp_mflags}

# To hell with split packages, lets just nicely keep everything in one
# nice small and tidy package

%files
%defattr(-,root,root)
%doc COPYING.* NEWS README
# Name binaries to be sure we do not lose features due to wrong
# configure checks
%{_bindir}/abw2epub
%{_bindir}/abw2odt
%{_bindir}/ebook2epub
%{_bindir}/ebook2odt
%{_bindir}/numbers2ods
%{_bindir}/abw2epub
%{_bindir}/abw2odt
%{_bindir}/cdr2epub
%{_bindir}/cdr2odg
%{_bindir}/cmx2epub
%{_bindir}/cmx2odg
%{_bindir}/ebook2odt
%{_bindir}/fh2epub
%{_bindir}/fh2odg
%{_bindir}/key2epub
%{_bindir}/key2odp
%{_bindir}/mwaw2epub
%{_bindir}/mwaw2odf
%{_bindir}/pages2epub
%{_bindir}/pages2odt
%{_bindir}/pmd2epub
%{_bindir}/pmd2odg
%{_bindir}/pub2epub
%{_bindir}/pub2odg
%{_bindir}/vsd2epub
%{_bindir}/vsd2odg
%{_bindir}/vss2epub
%{_bindir}/vss2odg
%{_bindir}/wks2ods
%{_bindir}/wpd2epub
%{_bindir}/wpd2odt
%{_bindir}/wpg2epub
%{_bindir}/wpg2odg
%{_bindir}/wps2epub
%{_bindir}/wps2odt

%changelog
* Wed Sep  2 2015 fstrba@suse.com
- Provide and Obsolete the individual binaries to make the upgrade
  smooth
* Mon Jun 22 2015 tchvatal@suse.com
- Version bump to 0.9.4:
  * Various fixes to match the latest library updates
- Merge all the crazy subpackages, too much effort
* Fri Nov 28 2014 fstrba@suse.com
- Upgrade to upstream 0.9.2
  * Add tools converting Adobe PageMaker Publications to Open
    Document Graphics file-format
  * Add dependency on libepubgen and tools to convert different
    file-formats to EPUB format
* Tue Jun  3 2014 fstrba@suse.com
- Upgrade to upstream 0.9.1
  * Fix format check for ebook2odt, because of which every e-book
    format was rejected as not supported.
  * Various minor fixes and improvements.
* Mon May 26 2014 fstrba@suse.com
- Upgrade to upstream 0.9.0
  * ABI change
  * Support MS Works spreadsheets
  * Support Pages documents
  * Dependency on librevenge framework
* Tue Dec 17 2013 fridrich.strba@suse.com
- Upgrading to 0.8.3
  - Add fh2odg for Macromedia Freehand documents.
  - Add key2odp for Apple Keynote documents.
  - Improve mwaw support.
* Wed Dec  4 2013 tchvatal@suse.com
- Create main package that pulls in all per-binaries.
  + Now user can zypper in writerperfect and be done with it.
* Tue Dec  3 2013 tchvatal@suse.com
- Format with spec-cleaner.
* Fri Nov 15 2013 tchvatal@suse.com
- Fix group to be something sensible for openSUSE. Thx to
  Dimstar for suggestion.
* Thu Nov 14 2013 tchvatal@suse.com
- Polish the spec to make it applicable for Factory if someone
  wants to do so.
* Sat May 18 2013 fridrich.strba@suse.com
- Initial import of writerperfect
  * supporting wpd2odt, wps2odt, mwaw2odt
  * supporting wpg2odg, vsd2odg, vss2odg, cdr2odg, pub2odg
